Idcard Ocr
curl --request POST \
--url https://api.acedata.cloud/identity/idcard/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"id_card": "<string>",
"image_url": "<string>",
"encryption": [
{
"iv": "<string>",
"tag_list": [
"<string>"
],
"algorithm": "<string>",
"encrypt_list": [
"<string>"
],
"ciphertext_blob": 123
}
]
}
'import requests
url = "https://api.acedata.cloud/identity/idcard/ocr"
payload = {
"name": "<string>",
"id_card": "<string>",
"image_url": "<string>",
"encryption": [
{
"iv": "<string>",
"tag_list": ["<string>"],
"algorithm": "<string>",
"encrypt_list": ["<string>"],
"ciphertext_blob": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
id_card: '<string>',
image_url: '<string>',
encryption: [
{
iv: '<string>',
tag_list: ['<string>'],
algorithm: '<string>',
encrypt_list: ['<string>'],
ciphertext_blob: 123
}
]
})
};
fetch('https://api.acedata.cloud/identity/idcard/ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sex": "<string>",
"name": "<string>",
"birth": "<string>",
"nation": "<string>",
"result": "<string>",
"address": "<string>",
"id_card": "<string>",
"description": "<string>"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Idcard Ocr
This interface is used to verify the authenticity and consistency of the name and ID number. You can provide the required verification information by entering the name and ID number or entering the portrait photo of the ID card.
POST
/
identity
/
idcard
/
ocr
Idcard Ocr
curl --request POST \
--url https://api.acedata.cloud/identity/idcard/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"id_card": "<string>",
"image_url": "<string>",
"encryption": [
{
"iv": "<string>",
"tag_list": [
"<string>"
],
"algorithm": "<string>",
"encrypt_list": [
"<string>"
],
"ciphertext_blob": 123
}
]
}
'import requests
url = "https://api.acedata.cloud/identity/idcard/ocr"
payload = {
"name": "<string>",
"id_card": "<string>",
"image_url": "<string>",
"encryption": [
{
"iv": "<string>",
"tag_list": ["<string>"],
"algorithm": "<string>",
"encrypt_list": ["<string>"],
"ciphertext_blob": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
id_card: '<string>',
image_url: '<string>',
encryption: [
{
iv: '<string>',
tag_list: ['<string>'],
algorithm: '<string>',
encrypt_list: ['<string>'],
ciphertext_blob: 123
}
]
})
};
fetch('https://api.acedata.cloud/identity/idcard/ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sex": "<string>",
"name": "<string>",
"birth": "<string>",
"nation": "<string>",
"result": "<string>",
"address": "<string>",
"id_card": "<string>",
"description": "<string>"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autoryzacje
API token from https://platform.acedata.cloud
Nagłówki
Identity Idcard Ocr Param Accept
Dostępne opcje:
application/json, application/x-ndjson Treść
application/json
Odpowiedź
Identity Idcard Ocr Response 200
Identity Idcard Ocr Response 200 Sex
Identity Idcard Ocr Response 200 Name
Identity Idcard Ocr Response 200 Birth
Identity Idcard Ocr Response 200 Nation
Identity Idcard Ocr Response 200 Result
Identity Idcard Ocr Response 200 Address
Identity Idcard Ocr Response 200 Id Card
Identity Idcard Ocr Response 200 Description
Czy ta strona była pomocna?

